Subject: bug#34420: [PATCH 2/2] smerge-mode: new function to go to next conflict

From: Stefan Monnier <[email-masked]>
Date: Sat, 16 Feb 2019 08:41:58 -0500

>> To give some context: these patches follow this thread 
>> http://lists.gnu.org/archive/html/help-gnu-emacs/2019-01/msg00111.html 
>> (note: the thread continues the next month, i.e. February, too).
> I hope Stefan (CC'ed) could comment on those.

Hmm...

In terms of implementation, there's nothing very deep and it looks OK
(tho maybe it points to the need to autoload vc-find-conflicted-file,
and obviously I'd use (point-min) rather than a hardcoded 0 and change
the docstring to use the imperative rather than present tense).

In terms of UI it's a question of taste: I didn't provide such a command
because I never felt the need for it (I think I like to be in control of
changing buffer).  Maybe I'd change it to first emit a warning "no more
conflicts in this buffer" and only go to the next buffer if you repeat
the command (as a form of confirmation that you're done with the current
buffer).  Also, I'd save the file before switching to the next buffer.

        Stefan